Bug 850567 - RFE Improved  the output of condor_userprio to better support hierarchical groups
RFE Improved  the output of condor_userprio to better support hierarchical gr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
All Linux
low Severity medium
: 2.3
: ---
Assigned To: Timothy St. Clair
Lubos Trilety
: FutureFeature
Depends On:
Blocks: 845292
  Show dependency treegraph
 
Reported: 2012-08-21 16:36 EDT by Timothy St. Clair
Modified: 2013-03-06 13:45 EST (History)
6 users (show)

See Also:
Fixed In Version: condor-7.8.2-0.2
Doc Type: Rebase: Enhancements Only
Doc Text:
Important: if this rebase also contains *bug fixes* (or contains only bug fixes), select the correct option from the Doc Type drop-down list. Rebase package(s) to version: condor-7.8 series Highlights and notable enhancements: Added group_quota and group_priority info to condor_userprio -all.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:45:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Condor 2680 None None None 2012-08-21 16:36:54 EDT

  None (edit)
Description Timothy St. Clair 2012-08-21 16:36:54 EDT
The first column of the output no longer truncates long user or group  names. User names are shown indented under group names, when  hierarchical groups are in use. New columns were added to show group  quota information. A new -most option was added to show the most useful  fields, since -all now produces a very wide display.
Comment 4 Lubos Trilety 2013-01-03 11:50:47 EST
Tested with:
condor-7.8.8-0.1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

>>> verified

# condor_userprio -most
Last Priority Update:  1/3  10:39
Group                                                 Config     Use    Effective   Priority   Res   Total Usage  Time Since
  User Name                                            Quota   Surplus   Priority    Factor   In Use (wghted-hrs) Last Usage
---------------------------------------------------- --------- ------- ------------ --------- ------ ------------ ----------
a.c                                                       5.00 ByQuota                   1.00      1         0.02      <now>
  u3@full_hostname                              0.50      1.00      1         0.02      <now>
a.b                                                       5.00 ByQuota                   1.00      2         0.03      <now>
  u2@full_hostname                              0.50      1.00      1         0.02      <now>
  u1@full_hostname                              0.50      1.00      1         0.02      <now>
---------------------------------------------------- --------- ------- ------------ --------- ------ ------------ ----------
Number of users: 3                                             ByQuota                             3         0.05    0+23:59

# condor_userprio -all
Last Priority Update:  1/3  10:39
Group                                                Effective  Config     Use    Subtree   Effective     Real   Priority   Res   Total Usage       Usage             Last       Time Since
  User Name                                            Quota     Quota   Surplus   Quota     Priority   Priority  Factor   In Use (wghted-hrs)    Start Time       Usage Time    Last Usage
---------------------------------------------------- --------- --------- ------- --------- ------------ -------- --------- ------ ------------ ---------------- ---------------- ----------
a.c                                                       5.00      5.00 ByQuota      5.00                  0.50      1.00      1         0.02  1/03/2013 10:39  1/03/2013 10:39      <now>
  u3@full_hostname                                                  0.50     0.50      1.00      1         0.02  1/03/2013 10:39  1/03/2013 10:39      <now>
a.b                                                       5.00      5.00 ByQuota      5.00                  0.50      1.00      2         0.03  1/03/2013 10:39  1/03/2013 10:39      <now>
  u2@full_hostname                                                  0.50     0.50      1.00      1         0.02  1/03/2013 10:39  1/03/2013 10:39      <now>
  u1@full_hostname                                                  0.50     0.50      1.00      1         0.02  1/03/2013 10:39  1/03/2013 10:39      <now>
---------------------------------------------------- --------- --------- ------- --------- ------------ -------- --------- ------ ------------ ---------------- ---------------- ----------
Number of users: 3                                                       ByQuota                                                3         0.05                   1/02/2013 10:40    0+23:59
Comment 6 errata-xmlrpc 2013-03-06 13:45:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.